Subject: bug#16360: closed (Re: bug#16360: "guild help COMMAND" crashes)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Oct 2014 18:40:04 +0000

Your bug report

#16360: "guile help COMMAND" crashes (Guile 2.0.9 on Debian)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16360: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16360
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16360: "guild help COMMAND" crashes
From: Mark H Weaver <[email-masked]>
To: Zefram <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Oct 2014 14:38:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Zefram <[email-masked]> writes:

> "guild help COMMAND" crashes for most existing guild subcommands.
> For example:
>
> $ GUILE=/usr/bin/guile-2.0 guild help frisk 
> Usage: guild frisk OPTION...
> Show dependency information for a module.
> Backtrace:
[...]
>
> ERROR: In procedure open-file:
> ERROR: Wrong type (expecting string): #f
> $
>
> This is guile-2.0.9 on Debian.  Debian incarnation of this bug report:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734314

I was never able to reproduce this bug.  I suspect it was either
specific to your system or to Debian, but in any case this seems to work
now on Debian jessie, according to Rob Browning (maintainer of the Guile
package on Debian).

Rob closed the Debian bug report, and I'm closing it on our end also.
Feel free to reopen it if you think there's still a problem.

    Thanks!
      Mark

Subject: "guild help COMMAND" crashes
From: Zefram <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jan 2014 23:06:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"guild help COMMAND" crashes for most existing guild subcommands.
For example:

$ GUILE=/usr/bin/guile-2.0 guild help frisk 
Usage: guild frisk OPTION...
Show dependency information for a module.
Backtrace:
In ice-9/boot-9.scm:
 157: 8 [catch #t #<catch-closure 25bc500> ...]
In unknown file:
   ?: 7 [apply-smob/1 #<catch-closure 25bc500>]
In ice-9/boot-9.scm:
  63: 6 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 5 [eval # #]
In /usr/bin/guild:
  74: 4 [main ("/usr/bin/guild" "help" "frisk")]
In scripts/help.scm:
 181: 3 [main "frisk"]
 155: 2 [show-help #<directory (scripts frisk) 26d1900> #<output: file /dev/pts/14>]
In ice-9/boot-9.scm:
 788: 1 [call-with-input-file #f ...]
In unknown file:
   ?: 0 [open-file #f "r" #:encoding #f #:guess-encoding #f]

ERROR: In procedure open-file:
ERROR: Wrong type (expecting string): #f
$

This is guile-2.0.9 on Debian.  Debian incarnation of this bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734314

-zefram